Bug 2848 - Samba looking for /usr/local/samba/lib/en_US.ISO8859-1.msg when only en.msg exists
Samba looking for /usr/local/samba/lib/en_US.ISO8859-1.msg when only en.msg ...
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Extended Characters
3.0.9
Sparc Solaris
: P3 normal
: none
Assigned To: Alexander Bokovoy
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-04 07:41 UTC by David S. Collier-Brown
Modified: 2007-08-19 09:10 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David S. Collier-Brown 2005-07-04 07:41:23 UTC
[This is very distantly related to a problem John Terpstra
 and I are looking at elsewhere ]

On Solaris 9, the iconv mechanism eds up failing by
looking for the wronmg filename: its last error message is 
    
lang_tdb_init: /usr/local/samba/lib/en_US.ISO8859-1.msg: 
              No such file or directory

which is very true, as /usr/local/samba/lib/ contains
nl.msg, tr.msg, it.msg, de.msg, ja.msg, pl.msg, en.msg 
and fr.msg

I think the search mechanism is mis-set: the rest of the
language-related errors I get when running even smbclient
are voluminous, but most end happily, with "using ASCII 
instead" (;-))


froggy> samba smbclient -L froggy -d 100
INFO: Current debug levels:
  all: True/100

[snip!]

set_server_role: role = ROLE_STANDALONE
Attempting to register new charset UCS-2LE
Registered charset UCS-2LE
Attempting to register new charset UTF-16LE
Registered charset UTF-16LE
Attempting to register new charset UCS-2BE
Registered charset UCS-2BE
Attempting to register new charset UTF-16BE
Registered charset UTF-16BE
Attempting to register new charset UTF8
Registered charset UTF8
Attempting to register new charset UTF-8
Registered charset UTF-8
Attempting to register new charset ASCII
Registered charset ASCII
Attempting to register new charset 646
Registered charset 646
Attempting to register new charset ISO-8859-1
Registered charset ISO-8859-1
Attempting to register new charset UCS2-HEX
Registered charset UCS2-HEX
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
Probing module 'ISO8859-1'
Probing module 'ISO8859-1': Trying to load from
/usr/local/samba/lib/charset/ISO8859-1.so
Error loading module '/usr/local/samba/lib/charset/ISO8859-1.so': ld.so.1:
/usr/local/samba/bin/smbclient: fatal:
/usr/local/samba/lib/charset/ISO8859-1.so: open failed: No such file or directory
Locale charset 'ISO8859-1' unsupported, using ASCII instead
added interface ip=129.155.45.161 bcast=129.155.45.255 nmask=255.255.255.0
Netbios name list:-
my_netbios_names[0]="FROGGY"
Client started (version 3.0.20pre2-SVN-build-7998).

[snip]

internal_resolve_name: returning 1 addresses: 192.168.1.5:0 
Connecting to 192.168.1.5 at port 445
timeout connecting to 192.168.1.5:445
Connecting to 192.168.1.5 at port 139
timeout connecting to 192.168.1.5:139
lang_tdb_init: /usr/local/samba/lib/en_US.ISO8859-1.msg: No such file or directory
Connection to froggy failed
Comment 1 Gerald (Jerry) Carter 2005-07-15 15:50:45 UTC
Dave,  what do you have the various charset options 
set to in smb.conf?
Comment 2 David S. Collier-Brown 2005-07-18 06:17:44 UTC
I have them set to the default: my test machine has a very
simple smb.conf:

froggy> testparm
Load smb config files from /usr/local/samba/lib/smb.conf
Processing section "[tmp]"
Processing section "[homes]"
Loaded services file OK.
Server role: ROLE_STANDALONE
Press enter to see a dump of your service definitions

[global]
	workgroup = FROGGY
	log level = 3
	ldap ssl = no

[tmp]
	path = /tmp
	read only = No

[homes]
	valid users = %S
	read only = No
	browseable = No
Comment 3 William Jojo 2006-01-10 05:54:20 UTC
(In reply to comment #2)
> I have them set to the default: my test machine has a very
> simple smb.conf:
> froggy> testparm
> Load smb config files from /usr/local/samba/lib/smb.conf
> Processing section "[tmp]"
> Processing section "[homes]"
> Loaded services file OK.
> Server role: ROLE_STANDALONE
> Press enter to see a dump of your service definitions
> [global]
> 	workgroup = FROGGY
> 	log level = 3
> 	ldap ssl = no
> [tmp]
> 	path = /tmp
> 	read only = No
> [homes]
> 	valid users = %S
> 	read only = No
> 	browseable = No


Was working on #3377 and saw this one. What is returned for:

grep CHARSET include/config.h
testparm -v | grep charset

I'm wondering if this is libiconv 1.9.1 or a Solaris packaged iconv...

Cheers,

Bill
Comment 4 Denis Vlasenko 2006-11-26 18:11:01 UTC
Aha, I cn use smbclient with bumped-up debug level for more data points:

# smbclient -d 100
INFO: Current debug levels:
  all: True/100
  tdb: False/0
  printdrivers: False/0
  lanman: False/0
  smb: False/0
  rpc_parse: False/0
  rpc_srv: False/0
  rpc_cli: False/0
  passdb: False/0
  sam: False/0
  auth: False/0
  winbind: False/0
  vfs: False/0
  idmap: False/0
  quota: False/0
  acls: False/0
  locking: False/0
  msdfs: False/0
  dmapi: False/0
lp_load: refreshing parameters
Initialising global parameters
params.c:pm_process() - Processing configuration file "/usr/app/samba-3.0.23d/var/etc/smb.conf"
pm_process() returned Yes
lp_servicenumber: couldn't find homes
set_server_role: role = ROLE_STANDALONE
Attempting to register new charset UCS-2LE
Registered charset UCS-2LE
Attempting to register new charset UTF-16LE
Registered charset UTF-16LE
Attempting to register new charset UCS-2BE
Registered charset UCS-2BE
Attempting to register new charset UTF-16BE
Registered charset UTF-16BE
Attempting to register new charset UTF8
Registered charset UTF8
Attempting to register new charset UTF-8
Registered charset UTF-8
Attempting to register new charset ASCII
Registered charset ASCII
Attempting to register new charset 646
Registered charset 646
Attempting to register new charset ISO-8859-1
Registered charset ISO-8859-1
Attempting to register new charset UCS2-HEX
Registered charset UCS2-HEX
Substituting charset 'KOI8-R' for LOCALE
Substituting charset 'KOI8-R' for LOCALE
[hangs]

# env - smbclient -d 100
INFO: Current debug levels:
  all: True/100
  tdb: False/0
  printdrivers: False/0
  lanman: False/0
  smb: False/0
  rpc_parse: False/0
  rpc_srv: False/0
  rpc_cli: False/0
  passdb: False/0
  sam: False/0
  auth: False/0
  winbind: False/0
  vfs: False/0
  idmap: False/0
  quota: False/0
  acls: False/0
  locking: False/0
  msdfs: False/0
  dmapi: False/0
lp_load: refreshing parameters
Initialising global parameters
params.c:pm_process() - Processing configuration file "/usr/app/samba-3.0.23d/var/etc/smb.conf"
pm_process() returned Yes
lp_servicenumber: couldn't find homes
set_server_role: role = ROLE_STANDALONE
Attempting to register new charset UCS-2LE
Registered charset UCS-2LE
Attempting to register new charset UTF-16LE
Registered charset UTF-16LE
Attempting to register new charset UCS-2BE
Registered charset UCS-2BE
Attempting to register new charset UTF-16BE
Registered charset UTF-16BE
Attempting to register new charset UTF8
Registered charset UTF8
Attempting to register new charset UTF-8
Registered charset UTF-8
Attempting to register new charset ASCII
Registered charset ASCII
Attempting to register new charset 646
Registered charset 646
Attempting to register new charset ISO-8859-1
Registered charset ISO-8859-1
Attempting to register new charset UCS2-HEX
Registered charset UCS2-HEX
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
smbclient: gconv_db.c:232: __gconv_release_step: Assertion `step->__end_fct == ((void *)0)' failed.
[aborts]
Comment 5 Denis Vlasenko 2006-11-26 18:12:14 UTC
Oops... disregard previous comment, it's for unrelated bug#... sorry...
Comment 6 David S. Collier-Brown 2007-08-19 09:10:09 UTC
This is fixed in [Samba 3.2.1pre1-SVN-build-24360,
and probably has been for a while.